<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
    layui.use(['form', 'layedit', 'laydate'], function(){
    var form = layui.form
    ,layer = layui.layer
    ,layedit = layui.layedit
    ,laydate = layui.laydate;

    //日期
    laydate.render({
            elem: '#beginDate1'
        });
        laydate.render({
            elem: '#endDate1'
        });
        laydate.render({
            elem: '#beginDate2'
        });
        laydate.render({
            elem: '#endDate2'
        });
    });
layui.config({
    base: '${ctxp}/static/plugin/assets/'
}).extend({
    treetable: 'treetable-lay/treetable'
}).use(['layer', 'table', 'treetable'], function () {
    var $ = layui.jquery;
    var table = layui.table;
    var layer = layui.layer;
    var treetable = layui.treetable;

    var renderTable1 = function () {
        layer.load(2);
        treetable.render({
            treeColIndex: 0,
            treeSpid: -1,
            treeIdName: 'id',
            treePidName: 'pid',
            treeDefaultClose: false,
            treeLinkage: false,
            elem: '#table1',
            cols: [[
                {field: 'gcmc',width:200,title: '工程名称'},
                {field:'xmsl',width:180,title:"项目数量"},
                {field:'cjsq',width:200,title: '创建时期'},
                {field:'djr',width:200,title:'登记人'},
                {field:'op',align:'center',title:"操作",minWidth:200,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.status==1){
                            xml += "<a class='layui-btn layui-btn-primary layui-btn-xs' onclick=\"look( '${ctx}/project/form?id=" + d.id + "&tabId=1')\">查看</a>"
                                +"<a class='layui-btn layui-btn-xs'  onclick=\"update( '${ctx}/project/form?id=" + d.id + "&tabId=2')\">修改</a>"
                                +"<a class='layui-btn layui-btn-normal layui-btn-xs' lay-event='add'>添加项目</a>"
                                +"<a class='layui-btn layui-btn-warm layui-btn-xs' lay-event=''href=\"${ctx}/project/export?id=" + d.id+"\">导出</a>"
                                +"<a class='layui-btn layui-btn-xs layui-btn-danger' onclick=\"deleteProject('"+d.id+"')\">删除</a>";
                        }
                        if(d.status==2){
                            xml +="<span class='myspan'>操作</span>";
                        }
                        if(d.status==3){
                            xml +="<a class='layui-btn layui-btn-xs' href=\"${ctx}/jkxl/list?id="+d.id+"&type="+d.type+"\">编辑</a>"
                                +"<a class='layui-btn layui-btn-xs layui-btn-danger' onclick=\"deleteItem('" + d.id + "')\">删除</a>";
                        }

                        return xml;
                    }}
            ]],
            data: [
                <c:if test="${ not empty page.list}">
                    <c:forEach items="${page.list}" var="data" varStatus="index">
                        {
                            "id": "${data.id}",
                            "gcmc":"${data.projectName}",
                            "xmsl": "${data.number}",
                            "cjsq": "<fmt:formatDate value="${data.createDate}" pattern="yyyy/MM/dd"/>",
                            "djr":"${data.userName}",
                            "status":"1",
                            "pid": -1
                        },
                        {
                            "id": "2",
                            "gcmc":"项目名称",
                            "xmsl": "施工单位",
                            "cjsq": "项目划分",
                            "djr":"创建时间",
                            "status":"2",
                            "pid": "${data.id}"
                        },
                    </c:forEach>
                </c:if>
                <c:forEach items="${page.list}" var="item" varStatus="index">
            <c:forEach items="${item.wbsItems}" var="items" varStatus="index">
            {
                "id": "${items.id}",
                "type":"${items.type}",
                "gcmc":"${items.itemName}",
                "xmsl": "某施工单位一",
                "cjsq":"<c:if test="${items.type eq '1'}">架空线路</c:if><c:if test="${items.type eq '2'}">电缆线路</c:if><c:if test="${items.type eq '3'}">变电站线路</c:if>",
                "djr":"<fmt:formatDate value="${items.createDate}" pattern="yyyy/MM/dd"/>",
                "status":"3",
                "pid": "${items.projectId}"
    },
    </c:forEach>
    </c:forEach>
    ],

        done: function () {
            $(".myspan").closest("tr").css('background-color','#f2f2f2');
            layer.closeAll('loading');
        }
    });
    };
    renderTable1();
    treetable.foldAll('#table1');
    table.on('tool(table1)', function(obj,target){
        var data = obj.data;
        if(obj.event == 'add'){
            $("#addtext").val(data.id);
            layui.use(['table','layer'],function(){
                layer.open({
                    type: 2,
                    title: '添加项目',
                    area: ['50%', '70%'],
                    shade: 0.8,
                    shadeClose: true,
                    content: '${ctxp}/webpage/modules/sg/project/addItemForm.jsp'
                    , btn: ['确定','关闭']
                    ,yes: function(index, layero){
                        // var bodyparent = layer.getChildFrame('body', index);
                        // bodyparent.find('#newProject').click();
                        var body = layer.getChildFrame('body', index);
                        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                        var inputForm = body.find('#inputForm');
                        var top_iframe;
                        if(target){
                            top_iframe = target;//如果指定了iframe，则在改frame中跳转
                        }else{
                            top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                        }
                        inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                        iframeWin.contentWindow.doSubmit();

                        layer.close(index);//关闭对话框。

                    }
                    ,btn2: function(index, layero){
                        layer.close(index);
                    }
                })
            })
        }
    });
});
function refresh(){
    window.location.reload();
}
function addProject(){
    layer.prompt({title: '请输入工程名称', formType: 3}, function(text, index){
        layer.close(index);
        $.ajax({
            type: "post",
            url: "${ctx}/project/save",
            data:{projectName:text},
            dataType: "json",
            success: function(data){
                if(data.success){
                    layer.msg(data.msg, {icon: 6});
                    window.location.reload();
                }else{
                    layer.msg(data.msg, {icon: 5});
                }
            }
        });
    });
}
function look(url) {
    layer.open({
        type: 2,
        title: '查看',
        area: ['70%', '90%'],
        shade: 0.8,

        shadeClose: true,
        fixed: true, //不固定
        maxmin: true,
        content: url
        , btn: ['关闭']
    })
}
function update(url) {
    layer.open({
        type: 2,
        title: '修改工程',
        area: ['70%', '90%'],
        shade: 0.8,
        shadeClose: true,
        fixed: false, //不固定
        maxmin: true,
        content: url
        , btn: ['确定','关闭']
        ,yes: function(index, layero){
            var bodyparent = layer.getChildFrame('body', index);
            bodyparent.find('#updatebtn').click();
        }
        ,btn2: function(index, layero){
            layer.close(index);
        }
    })
}
//逻辑删除项目
function deleteItem(id) {
    $.ajax({
        type: "post",
        url: "${ctx}/project/tem/deleteItem",
        data:{'id':id},
        dataType: "json",
        success: function(data){
            if(data.success){
                layer.msg(data.msg, {icon: 6});
                window.location.reload();
            }else{
                layer.msg(data.msg, {icon: 5});
            }
        }
    })
}
//删除工程
function deleteProject(id) {
    $.ajax({
        type: "post",
        url: "${ctx}/project/deleteProject",
        data:{'id':id},
        dataType: "json",
        success: function(data){
            if(data.success){
                layer.msg(data.msg, {icon: 6});
                window.location.reload();
            }else{
                layer.msg(data.msg, {icon: 5});
            }
        }
    })
}
$(document).ready(function(e) {
    $("#noneBtn").click(function(e) {
        $("#noneDiv").toggle();
    })
});

</script>